dart_extensionz 6.3.2 copy "dart_extensionz: ^6.3.2" to clipboard
dart_extensionz: ^6.3.2 copied to clipboard

A set of Dart extensions I use in various projects. Including Boolean, DateTime extensions and more.

example/main.dart

import 'package:dart_extensionz/dart_extensionz.dart';

enum MyEnum {
  one,
  two,
  three,
}

class MyClass {
  const MyClass({
    required this.name,
    required this.number,
    required this.myEnum,
  });

  final String name;
  final int number;
  final MyEnum myEnum;

  String get initials => name.initials;

  String get ordinal => number.ordinal;

  String get myEnumLabel => myEnum.label;
}
1
likes
140
pub points
45%
popularity

Publisher

verified publishermj12358.dev

A set of Dart extensions I use in various projects. Including Boolean, DateTime extensions and more.

Repository (GitHub)
View/report issues

Topics

#dart #extension

Documentation

API reference

Funding

Consider supporting this project:

www.buymeacoffee.com

License

BSD-3-Clause (license)

Dependencies

intl

More

Packages that depend on dart_extensionz